Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 423085 - new ebuild media-video/qemplayer-14.2
Summary: new ebuild media-video/qemplayer-14.2
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2012-06-23 08:55 UTC by wbrana
Modified: 2015-04-25 19:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild (qemplayer-12.2.ebuild,1.31 KB, text/plain)
2012-06-23 08:55 UTC, wbrana
Details
updated ebuild (qemplayer-12.2.ebuild,1.08 KB, text/plain)
2012-06-23 11:17 UTC, wbrana
Details
updated ebuild (qemplayer-12.3.ebuild,1.11 KB, text/plain)
2012-06-24 08:36 UTC, wbrana
Details
updated ebuild (qemplayer-12.4.ebuild,1.04 KB, text/plain)
2012-06-24 17:29 UTC, wbrana
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wbrana 2012-06-23 08:55:17 UTC
Created attachment 316029 [details]
ebuild

qemplayer is file-manager-like Qt4 GUI front-end to MPlayer
Comment 1 Agostino Sarubbo gentoo-dev 2012-06-23 09:17:21 UTC
CC'ing qt
Comment 2 Davide Pesavento gentoo-dev 2012-06-23 09:48:36 UTC
1) Use scons-utils.eclass
2) Use USE dependencies (requires EAPI >= 2) instead of built_with_use
3) Is =x11-libs/qt-gui-4.8* really necessary in RDEPEND? I prefer using SLOT deps e.g. >=x11-libs/qt-gui-4.8:4 (requires EAPI >= 1)
4) Is the dependency on media-fonts/font-adobe-100dpi really required?
5) ${D} is guaranteed to end with a slash, so "${D}usr" is enough.
Comment 3 wbrana 2012-06-23 11:17:53 UTC
Created attachment 316045 [details]
updated ebuild
Comment 4 wbrana 2012-06-23 16:10:34 UTC
new version 12.3, ebuild unchanged
Comment 5 Ben de Groot (RETIRED) gentoo-dev 2012-06-24 07:38:33 UTC
Ebuild looks good! A few minor points:

1) Include the 3 line header from /usr/portage/skel.ebuild 
2) Start the description with a capital F
3) HOMEPAGE should be updated to sourceforge
4) KEYWORDS should be in alphabetical order
5) Does it work with mplayer2? Then we could rdepend on 
    || ( media-video/mplayer media-video/mplayer2 )
6) Since EAPI=4 functions die by themselves, so you can remove the || die from src_compile
7) Drop COPYING from dodoc, as we don't install licenses per package, but keep them in the portage tree

And since it looks like you are upstream, I would like to add:

1) Consider packaging the source tarball with xz instead of 7zip, as xz is much more widely used (at least on Linux) and most users will already have that on their systems, preventing 7zip from being pulled in as an extra dependency.

2) I'm assuming you use Gentoo, so we could assign you as maintainer by proxy of this package. This would mean that bugs would be assigned to you, and you can deal with them directly. Then let us know when you have something to commit to portage, and we can commit it for you. See also http://www.gentoo.org/proj/en/qa/proxy-maintainers/index.xml

Let us know what you think!
Comment 6 wbrana 2012-06-24 08:36:38 UTC
Created attachment 316127 [details]
updated ebuild

I can be maintainer of package.
Comment 7 Davide Pesavento gentoo-dev 2012-06-24 10:51:27 UTC
Thanks! Some more comments on the ebuild:

1) Use SCONS_MIN_VERSION="2.1" (before inherit) instead of directly depending on scons in DEPEND.

2) You have to use virtual/pkgconfig instead of dev-util/pkgconfig

3) I think the $opts stuff in src_compile and src_install can be simplified to $(use_scons debug)

4) Common arguments to escons can be factored out and put into myesconsargs, which is a bash array, in src_configure (look at the example in scons-utils.eclass
Comment 8 wbrana 2012-06-24 10:54:09 UTC
I'm working on new version 12.4. I will post new ebuild when it will be finished.
Comment 9 wbrana 2012-06-24 17:29:29 UTC
Created attachment 316171 [details]
updated ebuild
Comment 10 Ben de Groot (RETIRED) gentoo-dev 2012-06-26 04:04:36 UTC
I've added it to the qt overlay for testing. Please contact me by email with your public key, so we can set you up with direct git commit access to the overlay.
Comment 11 Patrick Lauer gentoo-dev 2013-06-21 08:41:00 UTC
emerge: there are no ebuilds built with USE flags to satisfy ">=dev-db/sqlite-3.7.14[threadsafe]".
!!! One of the following packages is required to complete your request:
- dev-db/sqlite-3.7.17::gentoo (Missing IUSE: threadsafe)
- dev-db/sqlite-3.7.16.2::gentoo (Missing IUSE: threadsafe)
(dependency required by "media-video/qemplayer-12.7::qt" [ebuild])
(dependency required by "media-video/qemplayer" [argument])
Comment 12 Davide Pesavento gentoo-dev 2014-05-31 13:35:33 UTC
Development of qemplayer appears to have stopped in 2012. There are other more capable GUIs for mplayer in portage, so unless someone steps up I'm going to remove the package soon.
Comment 13 wbrana 2014-05-31 14:01:05 UTC
There are some minor unreleased features implemented. I can release it after some testing. qemplayer isn't supposed to be full featured media player, but only for special use cases. You can remove it. I will post ebuild as downloadable file on sourceforge.net.
Comment 14 Davide Pesavento gentoo-dev 2014-05-31 14:52:56 UTC
Well, do an official release with a proper tarball etc..., so we can bump the package in the overlay, and then we'll see.
Comment 15 wbrana 2014-07-06 17:07:29 UTC
released new version 14.1
Comment 16 Davide Pesavento gentoo-dev 2015-04-25 19:55:38 UTC
well, again, nothing really happened after 14.2 so I'm closing as WONTFIX.